# cssume

> An elegant css theme for resume generated by Markdown

[![npm][npm-image]][npm-url]
[![downloads][downloads-image]][npm-url]

[npm-image]: https://img.shields.io/npm/v/cssume.svg?style=flat-square
[npm-url]: https://www.npmjs.com/package/cssume
[downloads-image]: https://img.shields.io/npm/dm/cssume.svg?style=flat-square

Write your resume with markdown and turn it into an HTML page, and then let cssume to beautify it!

The design is inspired by [standardresume](standardresume.co), and you can learn how to write a good resume from [this article](https://standardresume.co/write-the-perfect-resume).

See the [online demo](https://markdone.github.io/cssume/), and [source markdown](docs/README.md).

## Install

```html
<!-- CDN Development (always latest) -->
<link rel="stylesheet" href="https://unpkg.com/cssume">
<!-- CDN Production (specific release) -->
<link rel="stylesheet" href="https://unpkg.com/cssume@1.0.0">
```

```sh
# npm package
$ npm install cssume
```

```css
/* CSS file */
@import url('https://unpkg.com/cssume/dist/cssume-scope.css');
```

## Usage

```html
<!doctype html>
<html lang="en">
  <head>
     <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://unpkg.com/cssume">
    <title>cssume</title>
  </head>
  <body>
    <h1>Your resume</h1>
  </body>
</html>
```

This is a demo markdown

```markdown
# Your Name

> Career

Location

A few words to introduce yourself...

* [your email](email-address 'email')
* [your website](website-url 'website')
* [your linkedin](linkedin-url 'linkedin')
* [your github](github-url 'github')

<!-- If used orderly it will be horizontally aligned -->

1. [your email](email-address 'email')
2. [your website](website-url 'website')
3. [your linkedin](linkedin-url 'linkedin')

<!-- This is the required split style -->

---

## Work Experience | Education | Projects

### Company | School | Project name

**Title**
_date_

Simple introduction...

* If necessary
* You can list it

## Skills

* Javascript
* TypeScript
* Whatever
```

## FAQ

* What's the difference between `cssume-scope.css` and `cssume.css`?

`cssume-scope.css` is that you need to add `.cssume` class for element.

## License

MIT
